/*
 * Copyright 2006 - 2015
 *     Stefan Balev     <stefan.balev@graphstream-project.org>
 *     Julien Baudry    <julien.baudry@graphstream-project.org>
 *     Antoine Dutot    <antoine.dutot@graphstream-project.org>
 *     Yoann Pigné      <yoann.pigne@graphstream-project.org>
 *     Guilhelm Savin   <guilhelm.savin@graphstream-project.org>
 * 
 * This file is part of GraphStream <http://graphstream-project.org>.
 * 
 * GraphStream is a library whose purpose is to handle static or dynamic
 * graph, create them from scratch, file or any source and display them.
 * 
 * This program is free software distributed under the terms of two licenses, the
 * CeCILL-C license that fits European law, and the GNU Lesser General Public
 * License. You can  use, modify and/ or redistribute the software under the terms
 * of the CeCILL-C license as circulated by CEA, CNRS and INRIA at the following
 * URL <http://www.cecill.info> or under the terms of the GNU LGPL as published by
 * the Free Software Foundation, either version 3 of the License, or (at your
 * option) any later version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT ANY
 * WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * The fact that you are presently reading this means that you have had
 * knowledge of the CeCILL-C and LGPL licenses and that you accept their terms.
 */
package org.graphstream.ui.j2dviewer.renderer.test
import org.graphstream.graph.implementations.SingleGraph
import org.graphstream.algorithm.generator.GridGenerator

object TestSpeed {
	def main(args:Array[String]) = (new TestSpeed).test
}

class TestSpeed {
    def test() {
        System.setProperty("gs.ui.renderer", "org.graphstream.ui.j2dviewer.J2DGraphRenderer")
    
        for(i <- 1 until 60) {
            Console.err.println("%d".format(i))
            Thread.sleep(1000)
        }
        
        val graph = new SingleGraph("simple")
        var gridg = new GridGenerator(false, false, true)
        
        graph.addAttribute("ui.log", "fps.log")
        graph.display(false)
        gridg.addSink(graph)
        gridg.begin
        gridg.nextEvents
        Thread.sleep(1000)
        for(i <- 1 until 10) {
            gridg.nextEvents
            Thread.sleep(100)
        }
        for(i <- 1 until 100) {
            gridg.nextEvents
            Thread.sleep(10)
        }
        gridg.end
        gridg.removeSink(graph)
    }
}